package com.ar.drawing.ui;

import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;

import androidx.appcompat.app.AppCompatActivity;

import com.ar.drawing.ad.AdManager;
import com.ar.drawing.ad.CountAction;
import com.ar.drawing.ad.GoMainAction;
import com.ar.drawing.databinding.ActivityWelBinding;
import com.ar.drawing.others.MyUtils;

public class WelActivity extends AppCompatActivity {

    private ActivityWelBinding binding;
    private long time = 11000;
    private CountDownTimer countDownTimer;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ActivityWelBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());
        AdManager.loadAllAd();
        MyUtils.setStatusBarTextColor(this, true);

        countDownTimer = AdManager.showWelcomeAd(WelActivity.this, time, new CountAction() {
            @Override
            public void onCount(long millisUntilFinished) {
                int progressPercentage = (int) ((100 * millisUntilFinished) / time);
                int Percentage = 100 - progressPercentage;
                binding.loadingPb.setProgress(Percentage);
            }
        }, new GoMainAction() {
            @Override
            public void onGo() {
                enterMain();
            }
        });
        countDownTimer.start();
    }
    private void enterMain() {
        binding.loadingPb.setProgress(100);
        Intent intent = new Intent(WelActivity.this, HomeActivity.class);
        startActivity(intent);
        finish();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (countDownTimer != null) {
            countDownTimer.cancel();
        }
    }
}